<%
 '   ASP Banner Rotator (BETA) for IIS 4.0+
 '
 '   Version: v1.0      
 '   Author : Keith Ollerton (ollertonk@postmaster.co.uk)
 '            F1-Computer Solutions (c) 2000 
 '
 '   Last Modified: 09/08/2000
 '   All rights reserved.
 '   -----------------------------
 '		(see special note below)
 '
 '   ASP Banner Rotator was tested under IIS 4.0 on a Windows NT 4.0 (SP5)
 '
 '   
 '   Please send bug reports, comments, etc to ollertonk@postmaster.co.uk
 '
 '   This version of ASP banner Rotator may be used and modified free of charge 
 '	  by anyone so long as this copyright notice and the comments above 
 '	  remain intact.  By using this code you agree to indemnify 
 '	  Keith Ollerton from any liability that might arise
 '	  from its use.                                                  
 '                                                                            
 '   Selling the code for this program without prior written consent is     
 '   expressly forbidden. 
 '
 '   This is a beta release meant for testing only until this line is removed by the author.
 '
 '   ChangeLog:
 '        1.0 - Inital Release
 '
 ' Special note: this asp file is drawn directly from an example at www.asp101.com
 ' This is not my work and the above note is included here for information only.
 ' My thanks are given to all at asp101 for creating such a useful and accessible site.
 ' Other portions of this project are created by me and the copyright notice above stands.

Dim DataConn, cmdDC, rsDC
Dim Item
Dim iFieldCount, iLoopVar
Dim strLTorGT, iCriteria, strSortBy, strOrder

' Retrieve QueryString Variables and convert them to a usable form
strLTorGT = Request.QueryString("LTorGT")
Select Case strLTorGT
	Case "LT"
		strLTorGT = "<"
	Case "GT"
		strLTorGT = ">"
	Case Else
		strLTorGT = "<>"
End Select

iCriteria = Request.QueryString("criteria")
If IsNumeric(iCriteria) Then
	iCriteria = CLng(iCriteria)
Else
	iCriteria = 0
End If

strSortBy = Request.QueryString("sortby")
If strSortBy = "" Then strSortBy = "BannerID"

strOrder = Request.QueryString("order")
' Finally we've got all our info, now to the cool stuff


' Create and establish data connection
Set DataConn = Server.CreateObject("ADODB.Connection")
DataConn.ConnectionTimeout = 15
DataConn.CommandTimeout = 30

'Access connection code
DataConn.Open "DBQ=" & Server.MapPath("banners.mdb") & ";Driver={Microsoft Access Driver (*.mdb)};DriverId=25;MaxBufferSize=8192;Threads=20;", "username", "password"


' Create and link command object to data connection then set attributes and SQL query
Set cmdDC = Server.CreateObject("ADODB.Command")
cmdDC.ActiveConnection = DataConn
cmdDC.CommandText = "SELECT * FROM banners ORDER BY " & strSortBy & strOrder & ";"
cmdDC.CommandType = 1

' Create recordset and retrieve values using command object
Set rsDC = Server.CreateObject("ADODB.Recordset")
' Opening record set with a forward-only cursor (the 0) and in read-only mode (the 1)
rsDC.Open cmdDC, , 0, 1
%>

<B>Results of <%= cmdDC.CommandText %></B><BR>

<BR>
<TABLE BORDER=1>
	<THEAD>
<% For Each Item in rsDC.Fields %>
		<TH><%= Item.Name %></TH>
<% Next %>
	</THEAD>
<%
' Loop through recordset and display results
If Not rsDC.EOF Then rsDC.MoveFirst

' Get the number of fields and subtract one so our loops start at 0
iFieldCount = rsDC.Fields.Count - 1

' Continue till we get to the end, and while in each <TR> loop through fields
Do While Not rsDC.EOF
%>	<TR>
		<% For iLoopVar = 0 to iFieldCount %>
		<TD><%= rsDC.Fields(iLoopVar) %></TD>
		<% Next %>
	</TR>
<%
rsDC.MoveNext
Loop
%>
</TABLE>

<%
' Close Data Access Objects and free DB variables
	rsDC.Close
	Set rsDC =  Nothing
	' can't do a "cmdDC.Close" !
	Set cmdDC = Nothing
	DataConn.Close
	Set DataConn = Nothing
%>
